#include <bits/stdc++.h>

using namespace std;

long long N_Max = 2e31;

bool is_prime(long long n){
    int kolovo=0;
    for(int i=2;i<=sqrt(n);i++){
        if(n%i==0)
            return false;
    }
    return true;
}
long long suma(long long n){
    int sum=0;
    while(n>0){
        sum=sum+n%10;
        n/=10;
    }
    return sum;
}
long long sumadil(long long n){

    long long k=n;
    int kolvo=0;
    for(int i=2;i<k;i++){
        if(n==1)
            break;
        if(k%i==0 && is_prime(i)){
            while(n%i==0){
                n=n/i;
                kolvo=kolvo+suma(i);
            }
        }
    }
    return kolvo;
}
int main()
{
    int mas[11];
    int n,t;
    cin>>n;
    for(int i=0;i<n;i++){
       cin>>t;
       mas[i]=t;

    }
    for(int i=0;i<n;i++){
        int a=mas[i];
        while(sumadil(a)!=suma(a))
        a++;

       cout<<a<<" ";
    }


    return 0;
}
